Subject: Re: bug#39360: Add :extend attribute to show-paren-mode expression face

From: Juri Linkov <[email-masked]>
Date: Fri, 07 Feb 2020 02:40:17 +0200

>>>> The newline is inside the parentheses, but the empty space to the
>>>> right of the newline is not part of the text.  Why should it be
>>>> highlighted?
>>> For the same reason that the region highlight goes to the edge of the window, I think.
>> We left the region as it was to avoid too strong outcry.  In general,
>> region should also not extend, IMO.
>
> How about the reasons of consistency?
>
> I'd be fine if region was not extended. But since we do extend it, why not
> make other face defaults in similar situations consistent with that?

There are not too many faces that could be extended for the same
reason why the region face is extended.  From all faces that I used
only a few required customizing to add :extend t, namely:

mm-uu-extract
org-block
org-block-begin-line
xref-file-header (because I customized it to have a grey background color
                  like in diff-mode)